com.ibm.openpages.api.application

## Enum CognosOutputFormat

- java.lang.Object
- - java.lang.Enum<CognosOutputFormat>
  - - com.ibm.openpages.api.application.CognosOutputFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CognosOutputFormat>

      public enum CognosOutputFormat
      extends java.lang.Enum<CognosOutputFormat>

  Defines the supported output formats when invoking Cognos reports from the OpenPages Risk API. Note that depending on the report design, certain formats may not be functional.

  Used by `IApplicationService.invokeCognosReport(String, CognosOutputFormat, IReportParameters)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CSV`
    `HTML`
    `PDF`
    `XLWA` Excel 2002 - Microsoft Excel Web Archive (XLWA) format
    `XML`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CognosOutputFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CognosOutputFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XML

          public static final CognosOutputFormat XML

    - #### CSV

          public static final CognosOutputFormat CSV

    - #### PDF

          public static final CognosOutputFormat PDF

    - #### HTML

          public static final CognosOutputFormat HTML

    - #### XLWA

          public static final CognosOutputFormat XLWA

      Excel 2002 - Microsoft Excel Web Archive (XLWA) format

  - ### Method Detail

    - #### values

          public static CognosOutputFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CognosOutputFormat c : CognosOutputFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CognosOutputFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.